export type JSValue = null | boolean | number | string | Uint8Array | JSArray | JSObject;
export interface JSArray extends Array<JSValue> {
}
export interface JSObject {
    [key: string]: JSValue;
}
export type JSFunction = (...args: JSValue[]) => undefined | JSValue;
export type JSFunctionAsync = (...args: JSValue[]) => Promise<undefined | JSValue>;
export declare function typeOf(value: JSValue): "null" | "boolean" | "number" | "string" | "Uint8Array" | "Array" | "Object";
